automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, master, updated. v1.11-255-


From: Ralf Wildenhues
Subject: [Automake-commit] [SCM] GNU Automake branch, master, updated. v1.11-255-g4d3079b
Date: Thu, 24 Jun 2010 19:40:55 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=4d3079b085f1de75aa9a8bc91d8a63232bd89619

The branch, master has been updated
       via  4d3079b085f1de75aa9a8bc91d8a63232bd89619 (commit)
       via  2360b8785bfa80c1968193f6ab7137764c91572e (commit)
       via  89e0334a031593d605b0b735e2150a1bc8ce4d6c (commit)
       via  5206e8917dd8eaf85d3e0bf484e9750359c43465 (commit)
       via  bd50d9c1b5b7057b0fb325d3505a0ae4d975258c (commit)
      from  ccea7069030cb2c9bf5ea1acb130a645dde36700 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 4d3079b085f1de75aa9a8bc91d8a63232bd89619
Merge: ccea7069030cb2c9bf5ea1acb130a645dde36700 
2360b8785bfa80c1968193f6ab7137764c91572e
Author: Ralf Wildenhues <address@hidden>
Date:   Thu Jun 24 21:37:04 2010 +0200

    Merge branch 'maint'

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog               |   13 ++++++++
 tests/Makefile.am       |    1 +
 tests/Makefile.in       |    1 +
 tests/distlinksbrk.test |   78 +++++++++++++++++++++++++++++++++++++++++++++++
 tests/silent5.test      |    4 +-
 5 files changed, 95 insertions(+), 2 deletions(-)
 create mode 100755 tests/distlinksbrk.test

diff --git a/ChangeLog b/ChangeLog
index 469578c..863d271 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,16 @@
+2010-06-24  Stefano Lattarini  <address@hidden>
+
+       Fix bugs in test script silent5.test.
+       * tests/silent5.test: Fixed a nasty bug (due to the use of grep
+       instead of egrep) that could have led to false negatives.
+
+2010-06-21  Stefano Lattarini  <address@hidden>
+
+       Add a test checking that distributed broken symlinks cause
+       `make dist' to fail.
+       * tests/distlinksbrk.test: New test.
+       * tests/Makefile.am (TESTS): Updated.
+
 2010-06-21  Ralf Wildenhues  <address@hidden>
 
        Fix minor testsuite issues, update docs, for Yacc/Lex changes.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index d05426d..af20d3e 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -301,6 +301,7 @@ distcom6.test \
 distcom7.test \
 distdir.test \
 distlinks.test \
+distlinksbrk.test \
 distname.test \
 dollar.test \
 dollarvar.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index aeeb0ca..592faa0 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -512,6 +512,7 @@ distcom6.test \
 distcom7.test \
 distdir.test \
 distlinks.test \
+distlinksbrk.test \
 distname.test \
 dollar.test \
 dollarvar.test \
diff --git a/tests/distlinksbrk.test b/tests/distlinksbrk.test
new file mode 100755
index 0000000..1e478ab
--- /dev/null
+++ b/tests/distlinksbrk.test
@@ -0,0 +1,78 @@
+#! /bin/sh
+# Copyright (C) 2010 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Check that distributed broken symlinks cause `make dist' to fail, and
+# to do so with (mostly) meaningful diagnostic.
+
+. ./defs || Exit 1
+
+set -e
+
+# We need, for our broken symlinks, names that make it hard to get false
+# positives when grepping make output to look for them.
+lnk_base=BrknSymlnk
+lnk1=${lnk_base}__001
+lnk2=${lnk_base}__002
+lnka=${lnk_base}__aaa
+lnkb=${lnk_base}__bbb
+
+ln -s nonesuch $lnk1 || {
+  echo "$me: cannot create broken symlinks" >&2
+  Exit 77
+}
+
+ln -s "`pwd`/nonesuch" $lnk2
+
+ln -s $lnk1 $lnka
+ln -s $lnka $lnkb
+
+# Sanity checks.  Use `test -r', since Solaris Sh doesn't grok `test -e'.
+test ! -r $lnk1
+test ! -r $lnk2
+test ! -r $lnka
+test ! -r $lnkb
+test -h $lnk1
+test -h $lnk2
+test -h $lnka
+test -h $lnkb
+
+cat >>configure.in <<END
+AC_OUTPUT
+END
+
+cat > Makefile.am <<END
+EXTRA_DIST = $lnk1 $lnk2 $lnka $lnkb
+END
+
+ls -l
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+./configure
+
+# Distribution must fail.
+$MAKE distdir && Exit 1
+
+# Names of distributed broken symlinks should be reported in make output.
+$MAKE -k distdir >out 2>&1 || : # don't trust the exit status of make -k
+cat out
+$FGREP $lnk1 out
+$FGREP $lnk2 out
+$FGREP $lnka out
+$FGREP $lnkb out
+
+:
diff --git a/tests/silent5.test b/tests/silent5.test
index e1134e8..4a9c4c1 100755
--- a/tests/silent5.test
+++ b/tests/silent5.test
@@ -80,11 +80,11 @@ do_and_check_verbose_build ()
   grep ' -c ' stdout
   grep ' -o ' stdout
 
-  grep '(CC|CXX|FC|F77|LD) ' stdout && Exit 1
+  $GREP '(CC|CXX|FC|F77|LD) ' stdout && Exit 1
 
   if $rebuild; then :; else
     grep 'ylwrap ' stdout
-    grep '(LEX|YACC) ' stdout && Exit 1
+    $EGREP '(LEX|YACC) ' stdout && Exit 1
   fi
 
   unset rebuild


hooks/post-receive
-- 
GNU Automake



reply via email to

[Prev in Thread] Current Thread [Next in Thread]